<template>
  <header v-if="isHeaderShow">
    <div class="flex items-center">
      <div class="logo flex-grow py-1.5" v-if="!logo.IsHidden">
        <nuxt-link :to="logo.HyperLink ? `/${logo.HyperLink}` : '/'">
          <img class="max-w-[26vw]" :src="logo.ImagePath" />
        </nuxt-link>
      </div>
    </div>
  </header>
</template>

<script lang="ts">
import { computed, defineComponent, PropType, toRefs } from "vue";
import { useRoute } from "vue-router";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

const shownRoute = [
  "HomeInitial",
  "SportInitial",
  "VirtualSportInitial",
  "LiveCasinoInitial",
  "GameInitial",
  "GameEntryInitial",
  "KenoInitial",
  "CockfightInitial",
  "index",
];

export default defineComponent({
  name: "MobileHeader",
  props: {
    auth: {
      type: Boolean,
      default: false,
    },
    themeProperties: {
      type: Array as PropType<Array<IThemePropertiesFromApi>>,
      required: true,
    },
  },
  setup(props) {
    const logo = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          props.themeProperties,
          "logo"
        )
    );
    const route = useRoute();
    const { name } = toRefs(route);
    const isHeaderShow = computed(() =>
      shownRoute.includes(name.value as string)
    );
    const { getAssetImage } = commonHelper;
    return {
      logo,
      isHeaderShow,
      getAssetImage,
    };
  },
});
</script>
<style lang="postcss" scoped>
.btn {
  @apply inline-block text-center rounded-2xl py-[.4375rem] px-2 transition-colors duration-300;
}
.btn.--primary {
  background-color: var(--border);
  border: 0.0625rem solid var(--border);
  border-color: var(--border);
}

.btn.--tertiary {
  background-color: var(--primary);
  border: 0.0625rem solid var(--primary);
  border-color: var(--primary);
}
#notificationIcon:after {
  content: "";
  width: 1.5vw;
  height: 1.5vw;
  position: absolute;
  border-radius: 50%;
  display: block;
  right: 0;
  top: 0;
  background-color: red;
  z-index: 4;
}
</style>
